/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#ifndef IBUS_SLAVE_H
#define IBUS_SLAVE_H
    
#include <project.h>
    
#define PBV_0_MASK 0
#define PBV_1_MASK 1
#define PBV_2_MASK 2
#define PBV_3_MASK 3
#define PBV_4_MASK 4    
#define MOB_5_MASK 5
#define MOB_6_MASK 6
    
#define CONTROL_PBV0_`$INSTANCE_NAME` (* (reg8 *) `$INSTANCE_NAME`_myPBV0__CONTROL_REG)
#define CONTROL_PBV1_`$INSTANCE_NAME` (* (reg8 *) `$INSTANCE_NAME`_myPBV1__CONTROL_REG)
#define CONTROL_PBV2_`$INSTANCE_NAME` (* (reg8 *) `$INSTANCE_NAME`_myPBV2__CONTROL_REG)    
#define CONTROL_PBV3_`$INSTANCE_NAME` (* (reg8 *) `$INSTANCE_NAME`_myPBV3__CONTROL_REG)
#define CONTROL_PBV4_`$INSTANCE_NAME` (* (reg8 *) `$INSTANCE_NAME`_myPBV4__CONTROL_REG)
#define CONTROL_MOB5_`$INSTANCE_NAME` (* (reg8 *) `$INSTANCE_NAME`_myMOB5__CONTROL_REG)
#define CONTROL_MOB6_`$INSTANCE_NAME` (* (reg8 *) `$INSTANCE_NAME`_myMOB6__CONTROL_REG)
    
#define CONTROL_maskPBV0_`$INSTANCE_NAME` (* (reg8 *) `$INSTANCE_NAME`_maskPBV0__CONTROL_REG)
#define CONTROL_maskPBV1_`$INSTANCE_NAME` (* (reg8 *) `$INSTANCE_NAME`_maskPBV1__CONTROL_REG)
#define CONTROL_maskPBV2_`$INSTANCE_NAME` (* (reg8 *) `$INSTANCE_NAME`_maskPBV2__CONTROL_REG)    
#define CONTROL_maskPBV3_`$INSTANCE_NAME` (* (reg8 *) `$INSTANCE_NAME`_maskPBV3__CONTROL_REG)
#define CONTROL_maskPBV4_`$INSTANCE_NAME` (* (reg8 *) `$INSTANCE_NAME`_maskPBV4__CONTROL_REG)
#define CONTROL_maskMOB5_`$INSTANCE_NAME` (* (reg8 *) `$INSTANCE_NAME`_maskMOB5__CONTROL_REG)
#define CONTROL_maskMOB6_`$INSTANCE_NAME` (* (reg8 *) `$INSTANCE_NAME`_maskMOB6__CONTROL_REG)
    
uint16 `$INSTANCE_NAME`_ReadReg(uint8 addr);

void `$INSTANCE_NAME`_Init();

void `$INSTANCE_NAME`_WriteReg(uint8 addr, uint8 data);

void `$INSTANCE_NAME`_WriteMask(uint8 addr, uint8 data);

#endif
/* [] END OF FILE */
