/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "`$INSTANCE_NAME`.h"


uint16 `$INSTANCE_NAME`_ReadReg(uint8 addr)
{
    uint16 ret = 0;
    
    switch(addr)
    {
        case PBV_0_MASK:
            ret =   (CONTROL_maskPBV0_`$INSTANCE_NAME` << 8) |
                    CONTROL_PBV0_`$INSTANCE_NAME`;
            break;
            
        case PBV_1_MASK:
            ret =   (CONTROL_maskPBV1_`$INSTANCE_NAME` << 8) |
                    CONTROL_PBV1_`$INSTANCE_NAME`;
            break;
            
        case PBV_2_MASK:
            ret =   (CONTROL_maskPBV2_`$INSTANCE_NAME` << 8) |
                    CONTROL_PBV2_`$INSTANCE_NAME`;
            break;
            
        case PBV_3_MASK:
            ret =   (CONTROL_maskPBV3_`$INSTANCE_NAME` << 8) |
                    CONTROL_PBV3_`$INSTANCE_NAME`;
            break;
            
        case PBV_4_MASK:
            ret =   (CONTROL_maskPBV4_`$INSTANCE_NAME` << 8) |
                    CONTROL_PBV4_`$INSTANCE_NAME`;
            break;
            
        case MOB_5_MASK:
            ret =   (CONTROL_maskMOB5_`$INSTANCE_NAME` << 8) |
                    CONTROL_MOB5_`$INSTANCE_NAME`;
            break;
            
        case MOB_6_MASK:
            ret =   (CONTROL_maskMOB6_`$INSTANCE_NAME` << 8) |
                    CONTROL_MOB6_`$INSTANCE_NAME`;
            break;
            
        default:
            ret = 0xFFFF;
    }
        
    return ret;
}

void `$INSTANCE_NAME`_Init()
{
    CONTROL_PBV0_`$INSTANCE_NAME` = 0x00;
    CONTROL_PBV1_`$INSTANCE_NAME` = 0x00;
    CONTROL_PBV2_`$INSTANCE_NAME` = 0x00;
    CONTROL_PBV3_`$INSTANCE_NAME` = 0x00;
    CONTROL_PBV4_`$INSTANCE_NAME` = 0x00;
    CONTROL_MOB5_`$INSTANCE_NAME` = 0x00;
    CONTROL_MOB6_`$INSTANCE_NAME` = 0x00;
    
    CONTROL_maskPBV0_`$INSTANCE_NAME` = 0x00;
    CONTROL_maskPBV1_`$INSTANCE_NAME` = 0x00;
    CONTROL_maskPBV2_`$INSTANCE_NAME` = 0x00;
    CONTROL_maskPBV3_`$INSTANCE_NAME` = 0x00;
    CONTROL_maskPBV4_`$INSTANCE_NAME` = 0x00;
    CONTROL_maskMOB5_`$INSTANCE_NAME` = 0x00;
    CONTROL_maskMOB6_`$INSTANCE_NAME` = 0x00;
}

void `$INSTANCE_NAME`_WriteReg(uint8 addr, uint8 data)
{
    switch(addr)
    {
        case PBV_0_MASK:
            CONTROL_PBV0_`$INSTANCE_NAME` = data;
            break;
        
        case PBV_1_MASK:
             CONTROL_PBV1_`$INSTANCE_NAME` = data;
            break;
        
        case PBV_2_MASK:
            CONTROL_PBV2_`$INSTANCE_NAME` = data;
            break;
        
        case PBV_3_MASK:
            CONTROL_PBV3_`$INSTANCE_NAME` = data;
            break;
        
        case PBV_4_MASK:
            CONTROL_PBV4_`$INSTANCE_NAME` = data;
            break;
        
        case MOB_5_MASK:
            CONTROL_MOB5_`$INSTANCE_NAME` = data;
            break;
        
        case MOB_6_MASK:
            CONTROL_MOB6_`$INSTANCE_NAME` = data;
            break;
        
        default:
            break;
    }
}
    
void `$INSTANCE_NAME`_WriteMask(uint8 addr, uint8 data)
{
    switch(addr)
    {
        case PBV_0_MASK:
            CONTROL_maskPBV0_`$INSTANCE_NAME` = data;
            break;
        
        case PBV_1_MASK:
             CONTROL_maskPBV1_`$INSTANCE_NAME` = data;
            break;
        
        case PBV_2_MASK:
            CONTROL_maskPBV2_`$INSTANCE_NAME` = data;
            break;
        
        case PBV_3_MASK:
            CONTROL_maskPBV3_`$INSTANCE_NAME` = data;
            break;
        
        case PBV_4_MASK:
            CONTROL_maskPBV4_`$INSTANCE_NAME` = data;
            break;
        
        case MOB_5_MASK:
            CONTROL_maskMOB5_`$INSTANCE_NAME` = data;
            break;
        
        case MOB_6_MASK:
            CONTROL_maskMOB6_`$INSTANCE_NAME` = data;
            break;
        
        default:
            break;
    }
}


/* [] END OF FILE */
